getJob

Prev Next

Available in VPC

Get details of a job.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /api/v1/jobs/{jobId}

Request headers

For information about the request headers common to all Data Flow APIs, see Data Flow request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
jobId String Required Job ID

Request example

The request example is as follows:

curl --location --request GET 'https://dataflow.apigw.ntruss.com/api/v1/jobs/gqigvH******' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
jobId String - Job ID
name String - Job name
type String - Job type
  • VISUAL | SCRIPT
status String - Job status
  • READY
    • READY: Job execution available.
maxConcurrentRuns Integer - Maximum number of concurrent executions
lastExecutionStatus String - Last job execution status
  • READY | RUNNING | COMPLETED | FAILED | CANCELLING | CANCELLED | TIMEOUT
    • READY: Pending execution.
    • RUNNING: Running.
    • COMPLETED: Completed.
    • FAILED: Failed.
    • CANCELLING: Canceling.
    • CANCELLED: Canceled.
    • TIMEOUT: Execution timeout exceeded.
  • Jobs without execution history are not included in fields.
nodes Array - Job node information
runCondition Object - Job execution option
runCondition.numWorker Integer - Number of workers
  • 2-10
runCondition.timeout Integer - Execution timeout (minute)
  • 1-1440
runCondition.nrn String - NAVER Cloud Platform resource identification value for job
runCondition.scriptPath String - Job execution script storage path
runCondition.logPath String - Job execution history storage path
runCondition.parameters Object - Default parameters saved in the job
  • Key-value type string map
  • If no parameters are provided, an empty object ({}).
createdDate String - Job creation date and time
  • ISO 8601 format (including UTC+9)
updatedDate String - Job modification date and time
  • ISO 8601 format (including UTC+9)
lastExecutionDate String - Last job execution date and time
  • ISO 8601 format (including UTC+9)

Response status codes

For information about the response status codes common to all Data Flow APIs, see Data Flow response status codes.

Response example

The response example is as follows:

{
  "jobId": "5Yns7J******",
  "name": "daily_sales_job",
  "type": "SCRIPT",
  "status": "READY",
  "maxConcurrentRuns": 3,
  "lastExecutionStatus": "COMPLETED",
  "nodes": [],
  "runCondition": {
    "numWorker": 2,
    "timeout": 360,
    "nrn": "nrn:PUB:IAM::*******:Role/********",
    "scriptPath": "dataflow-2706412-****/scripts/",
    "logPath": "dataflow-2706412-****/sparkHistoryLogs/",
    "parameters": {
      "target_date": "2025-03-21",
      "input_path": "aitems/sales/",
      "output_format": "parquet"
    }
  },
  "createdDate": "2025-03-21T10:02:02+09:00",
  "updatedDate": "2025-03-21T10:02:02+09:00",
  "lastExecutionDate": "2025-03-21T11:12:54+09:00"
}